The Alternative Csound Reference Manual
Previous |  | Next

# xadsr

xadsr -- Calculates the classical ADSR envelope.

## Description

Calculates the classical ADSR envelope

## Syntax

ar xadsr iatt, idec, islev, irel [, idel]

kr xadsr iatt, idec, islev, irel [, idel]

## Initialization

iatt -- duration of attack phase

idec -- duration of decay

islev -- level for sustain phase

irel -- duration of release phase

idel -- period of zero before the envelope starts

## Performance

The envelope is the range 0 to 1 and may need to be scaled further. The envelope may be described as:

Picture of an ADSR envelope.

The length of the sustain is calculated from the length of the note. This means adsr is not suitable for use with MIDI events. The opcode xadsr is identical to adsr except it uses exponential, rather than linear, line segments.

xadsr is new in Csound version 3.51.

## See Also

adsr, madsr, mxadsr

Previous | Home | Next
wterrain | Up | xin